﻿<?xml version="1.0" encoding="utf-8"?>
<Script type="xscript4.0"><![CDATA[CEditDefault = function () {
}
CEditDefault.prototype = 											
{															
	setEditValue: function(Obj, argDefaultValue)
	{
		Obj.value = argDefaultValue;
	},
	setEditsetSelect: function(Obj, argStart, argEnd)
	{
		Obj.setSelect(argStart,argEnd);
	},
	setEditplayTrans: function(Obj, argAni)
	{
		Obj.applyTrans(argAni);
		Obj.playTrans();
	},
	setEditplayTransoncustom: function(Obj, e)
	{
		var trRotate = (e.target.position.width / 2) + "," + (e.target.position.height / 2) + " [rotate " + (360.0 * e.progress) + "]";
		e.target.style.transformation = trRotate;
	}
}

var EditDefault = new CEditDefault();					 

CEdit = function() {   				
}															

CEdit.prototype = 											
{															
	setDefaultPropertyValue: function(Obj, argDefaultValue) 
	{
		if(argDefaultValue == 'undefined') 
		{
			Obj.value = Obj.name;
		} else {		
			Obj.value = argDefaultValue;
		}	
	},
	destroy: function(Obj, argParameters, argDefaultValue) 
	{
		Obj.destroy();
	},  
	getLength: function(Obj, argParameters, argDefaultValue)
	{
		EditDefault.setEditValue(Obj, argDefaultValue);
		return  Obj.getLength(argParameters);
	},
	getSelect: function(Obj, argParameters, argDefaultValue)
	{		
		EditDefault.setEditValue(Obj, argDefaultValue);	
		EditDefault.setEditsetSelect(Obj,0,3);
		return Obj.getSelect();
	},	
	getSelectedText: function(Obj, argParameters, argDefaultValue)
	{
		Obj.value = argDefaultValue;
		EditDefault.setEditsetSelect(Obj,0,5);

		return  Obj.getSelectedText();
	},	   
	isAboveSelected: function(Obj, argParameters, argDefaultValue)
	{
		return  Obj.isAboveSelected();
	},
	getCaretPos: function(Obj, argParameters, argDefaultValue)
	{
		return  Obj.getCaretPos();
	},
	playTrans: function(Obj, argParameters, argDefaultValue)
	{  
		var g_aniDur = 1500;
		var c_ani_1 = new CustomAnimation;
		c_ani_1.type = "custom";
		c_ani_1.duration = g_aniDur;
		c_ani_1.acceleration = 1.0;
		c_ani_1.oncustom = EditDefault.setEditplayTransoncustom;
		EditDefault.setEditplayTrans(Obj, c_ani_1);
	},
	redraw: function(Obj, argParameters, argDefaultValue)
	{
		return  Obj.redraw();
	},
	move: function(Obj, argParameters, argDefaultValue)
	{
		var array_move = argParameters.split(",");
		return  Obj.move(array_move[0],array_move[1],array_move[2],array_move[3]);
	},
	resize: function(Obj, argParameters, argDefaultValue)
	{
		var array_resize = argParameters.split(",");  //array_resize.length;
		return Obj.resize(array_resize[0],array_resize[1]);
	},
	setFocus: function(Obj, argParameters, argDefaultValue)
	{
		Obj.setFocus();
	},	
	setSelect: function(Obj, argParameters, argDefaultValue)
	{
		var array_setSelect = argParameters.split(","); 
		switch(array_setSelect.length)
		{
			case 1:
				EditDefault.setEditsetSelect(Obj,array_setSelect[0]);
				break;
			case 2:
				EditDefault.setEditsetSelect(Obj,array_setSelect[0], array_setSelect[1]);
				break;
			default:
				Obj.setSelect();
				break;
		}
	}
}
	]]></Script>
