CGridDefault = function () {
}
CGridDefault.prototype = 											
{
	setGridValue: function(Obj, argDefaultValue)
	{
		Obj.value = argDefaultValue;
	},
	setGridPlayTrans: function(Obj, argAni)
	{
		Obj.applyTrans(argAni);
		Obj.playTrans();
	},	
	setGridPlayTransOnCustom: function(Obj, e)
	{
		var trRotate = (e.target.position.width / 2) + "," + (e.target.position.height / 2) + " [rotate " + (360.0 * e.progress) + "]";
		e.target.style.transformation = trRotate;
	}
}

var GridDefault = new CGridDefault();				

CGrid = function() {   				
}															

CGrid.prototype = 											
{															
	setDefaultPropertyValue: function(Obj, argDefaultValue) 
	{
		var strFormat  = '<Formats>																	';
			strFormat += '      	<Format id="default">											';
			strFormat += '      		<Columns>                                                 	';
			strFormat += '      			<Column size="80" />                                    ';
			strFormat += '      			<Column size="80" />                                    ';
			strFormat += '      			<Column size="80" />                                    ';
			strFormat += '      			<Column size="80" />                                    ';
			strFormat += '      			<Column size="80" />                                    ';
			strFormat += '      		</Columns>                                                	';
			strFormat += '      		<Rows>                                                    	';
			strFormat += '      			<Row size="24" band="head" />                    		';
			strFormat += '      			<Row size="24" band="body" />                    		';
			strFormat += '      		</Rows>                                                   	';
			strFormat += '      		<Band id="head">                                          	';
			strFormat += '      			<Cell disptype="normal" text="seq"/>             		';
			strFormat += '      			<Cell col="1" disptype="normal" text="name"/>           ';
			strFormat += '      			<Cell col="2" disptype="normal" text="address"/>        ';
			strFormat += '      			<Cell col="3" disptype="normal" text="phono"/>          ';
			strFormat += '      			<Cell col="4" disptype="normal" text="etc"/>            ';
			strFormat += '      		</Band>                                                   	';
			strFormat += '      		<Band id="body">                                          	';
			strFormat += '      			<Cell disptype="normal" text="bind:seq"/>               ';
			strFormat += '      			<Cell col="1" disptype="normal" text="bind:name"/>      ';
			strFormat += '      			<Cell col="2" disptype="normal" text="bind:address"/>   ';
			strFormat += '      			<Cell col="3" disptype="normal" text="bind:phono"/>     ';
			strFormat += '      			<Cell col="4" disptype="normal" text="bind:etc"/>       ';
			strFormat += '      		</Band>                                                   	';
			strFormat += '      	</Format>                                                   	';
			strFormat += '      </Formats>                                                    		';
			
			Obj.formats = strFormat;
			Obj.binddataset = "dsGrid";
	},
	playTrans: function(Obj, argParameters, argDefaultValue)
	{  
		var g_aniDur = 1500;
		var c_ani_1 = new CustomAnimation;
		c_ani_1.type = "custom";
		c_ani_1.duration = g_aniDur;
		c_ani_1.acceleration = 1.0;
		c_ani_1.oncustom = GridDefault.setGridPlayTransOnCustom;
		GridDefault.setGridPlayTrans(Obj, c_ani_1);
	},
	bringToFront: function(Obj, argParameters, argDefaultValue)
	{  
		Obj.bringToFront();
	},
	bringToPrev: function(Obj, argParameters, argDefaultValue)
	{  
		Obj.bringToPrev();
	},	
	dropDownCombo: function(Obj, argParameters, argDefaultValue)
	{  
		Grid00.autoenter = true;
		Grid00.enable = true;
		Grid00.setCellPos("body", 1, "displaytype", "combo");
		Grid00.setCellPos("body", 1, "edittype", "combo");
		Grid00.setCellPos("body", 1, "combodataset", "ds_combo");
		Grid00.setCellPos("body", 1, "combocodecol", "code");
		Grid00.setCellPos("body", 1, "combodatacol", "value");
		Grid00.setCellPos(1);
		Grid00.dropdownCombo();
	},
	destroy: function(Obj, argParameters, argDefaultValue)
	{  
		Obj.destroy();
	},
	getBindCellIndex: function(Obj, argParameters, argDefaultValue)
	{
		var rtn = Obj.getBindCellIndex("body", "address");
		alert(rtn);
		//return  obj.getBindCellIndex("body", "address");
	}	
}
