CCheckBoxDefault = function () {
}
CCheckBoxDefault.prototype = 											
{															
	setCheckBoxValue: function(Obj, argDefaultValue)
	{
		Obj.value = argDefaultValue;
	},
	setCheckBoxPlayTrans: function(Obj, argAni)
	{
		Obj.applyTrans(argAni);
		Obj.playTrans();
	},
	setCheckBoxPlayTransOnCustom: function(Obj, e)
	{
		var trRotate = (e.target.position.width / 2) + "," + (e.target.position.height / 2) + " [rotate " + (360.0 * e.progress) + "]";
		e.target.style.transformation = trRotate;
	}
}

var CheckBoxDefault = new CCheckBoxDefault();					

CCheckBox = function() {   				
}															

CCheckBox.prototype = 											
{															
	setDefaultPropertyValue: function(Obj, argDefaultValue) 
	{
		Obj.text = argDefaultValue;
	},
	destroy: function(Obj, argParameters, argDefaultValue)
	{
		Obj.destroy();
	},
	init: function(Obj, argParameters, argDefaultValue)
	{
		var array_move = argParameters.split(",");
		
		var vObj = new CheckBox();
		
		return  Obj.init(vObj.id,array_move[0],array_move[1],array_move[2],array_move[3]);
	},
	setFocus: function(Obj, argParameters, argDefaultValue)
	{
		Obj.setFocus();
	},
	playTrans: function(Obj, argParameters, argDefaultValue)
	{  
		var g_aniDur = 1500;
		var c_ani_1 = new CustomAnimation;
		c_ani_1.type = "custom";
		c_ani_1.duration = g_aniDur;
		c_ani_1.acceleration = 1.0;
		c_ani_1.oncustom = CheckBoxDefault.setCheckBoxPlayTransOnCustom;
		CheckBoxDefault.setCheckBoxPlayTrans(Obj, c_ani_1);
	},
	move: function(Obj, argParameters, argDefaultValue)
	{
		var array_move = argParameters.split(",");
		return  Obj.move(array_move[0],array_move[1],array_move[2],array_move[3]);
		
		//Obj.move(argParameters);
	},
	redraw: function(Obj, argParameters, argDefaultValue)
	{
		return  Obj.redraw();
	},
	resize: function(Obj, argParameters, argDefaultValue)
	{
		var array_resize = argParameters.split(",");  //array_resize.length;
		return Obj.resize(array_resize[0],array_resize[1]);
	},
	show: function(Obj, argParameters, argDefaultValue)
	{
		var newcomp = new  Button();
		newcomp.init("CheckBox_02", 40, 40, 100, 100);
		addChild(newcomp);
		
		newcomp.text = argDefaultValue;
		
		return newcomp.show();

	}
}
	